Bullet Collision Detection & Physics Library: btUsageBitfield Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btUsageBitfield Struct Reference

`#include <btVoronoiSimplexSolver.h>`

## Public Member Functions
| btUsageBitfield ()
void | reset ()

## Public Attributes
unsigned short | usedVertexA: 1
unsigned short | usedVertexB: 1
unsigned short | usedVertexC: 1
unsigned short | usedVertexD: 1
unsigned short | unused1: 1
unsigned short | unused2: 1
unsigned short | unused3: 1
unsigned short | unused4: 1

## Detailed Description

Definition at line 32 of file btVoronoiSimplexSolver.h.

## Constructor & Destructor Documentation

## ◆ btUsageBitfield()

btUsageBitfield::btUsageBitfield | ( |  | ) |
| inline

Definition at line 34 of file btVoronoiSimplexSolver.h.

## Member Function Documentation

## ◆ reset()

void btUsageBitfield::reset | ( |  | ) |
| inline

Definition at line 39 of file btVoronoiSimplexSolver.h.

## Member Data Documentation

## ◆ unused1

unsigned short btUsageBitfield::unused1

Definition at line 50 of file btVoronoiSimplexSolver.h.

## ◆ unused2

unsigned short btUsageBitfield::unused2

Definition at line 51 of file btVoronoiSimplexSolver.h.

## ◆ unused3

unsigned short btUsageBitfield::unused3

Definition at line 52 of file btVoronoiSimplexSolver.h.

## ◆ unused4

unsigned short btUsageBitfield::unused4

Definition at line 53 of file btVoronoiSimplexSolver.h.

## ◆ usedVertexA

unsigned short btUsageBitfield::usedVertexA

Definition at line 46 of file btVoronoiSimplexSolver.h.

## ◆ usedVertexB

unsigned short btUsageBitfield::usedVertexB

Definition at line 47 of file btVoronoiSimplexSolver.h.

## ◆ usedVertexC

unsigned short btUsageBitfield::usedVertexC

Definition at line 48 of file btVoronoiSimplexSolver.h.

## ◆ usedVertexD

unsigned short btUsageBitfield::usedVertexD

Definition at line 49 of file btVoronoiSimplexSolver.h.

The documentation for this struct was generated from the following file:

- btVoronoiSimplexSolver.h